## yelp-xsl 49.0

=== meson_options.txt ===
option('dita',
       type: 'boolean', value: false,
       description: 'Install DITA stylesheets')
option('docbook',
       type: 'boolean', value: true,
       description: 'Install DocBook stylesheets')
option('mallard',
       type: 'boolean', value: true,
       description: 'Install Mallard stylesheets')

option('yelp_manual',
       type: 'boolean', value: false,
       description: 'Build user manual (requires awk)')

## yelp-xsl 3.0.0

=== debian/changelog ===
yelp-xsl (3.0.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 10:41:37 +1000

yelp-xsl (2.91.92-0ubuntu1) natty; urgency=low

  * new upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Mar 2011 17:52:59 +1100

yelp-xsl (2.91.91-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Mar 2011 15:55:52 +1100

yelp-xsl (2.91.90-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Feb 2011 12:16:11 +1100

yelp-xsl (2.91.9-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Jan 2011 15:24:45 -0600

yelp-xsl (2.91.8-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Dec 2010 10:35:12 +1100

yelp-xsl (2.31.6-0ubuntu1) natty; urgency=low

  * Intial release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 29 Nov 2010 10:00:13 +1100

=== debian/control ===
Source: yelp-xsl
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Uploaders: Robert Ancell <robert.ancell@canonical.com>
Standards-Version: 3.9.1
Build-Depends: cdbs,
               debhelper (>= 7),
               gnome-common,
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.8)

Package: yelp-xsl
Architecture: all
Depends: ${misc:Depends}
Description: a collection of documentation utilities for the GNOME project
 yelp-xsl is a collection of documentation utilities for the GNOME
 project.  Notably, it contains utilities for building documentation and
 all auxiliary files in your source tree, and it contains the DocBook
 XSLT stylesheets that were once distributed with Yelp.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/yelp-xsl/([\d\.]+)/yelp-xsl-([\d\.]+)\.tar\.gz

## yelp-xsl 3.2.0

=== debian/changelog ===
yelp-xsl (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release: More translation updates.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Sep 2011 20:34:56 -0400

yelp-xsl (3.1.6-0ubuntu1) oneiric; urgency=low

  * New upstream release: Translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2011 15:28:36 +0200

yelp-xsl (3.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2011 09:40:56 +0200

yelp-xsl (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Speed improvements for Mallard processing
    - Added if:supports to conditional processing
    - Added "button" style for links

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Aug 2011 15:22:50 +0200

yelp-xsl (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 26 Jul 2011 08:56:47 -0400

yelp-xsl (3.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control.in:
    - Build-Depend on itstool
    - Point at Ubuntu's branch
  * debian/watch:
    - Fix URL

 -- Michael Terry <mterry@ubuntu.com>  Sat, 09 Jul 2011 10:02:21 -0400

yelp-xsl (3.0.2-1) experimental; urgency=low

  * New upstream release.
  * Update to standards version 3.9.2, no change needed.

 -- Frederic Peters <fpeters@debian.org>  Wed, 25 May 2011 12:04:24 +0200

yelp-xsl (3.0.0-1) experimental; urgency=low

  * New upstream release.

  [ Luca Falavigna ]
  * debian/copyright: add full text of AGPLv3 license.

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 09:41:35 +0100

yelp-xsl (2.91.92-1) experimental; urgency=low

  * Initial release. (closes: #615085)

 -- Frederic Peters <fpeters@debian.org>  Wed, 02 Mar 2011 23:10:24 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: yelp-xsl
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               pkg-config,
               libxml2-dev (>= 2.6.12),
               itstool,
               libxslt1-dev (>= 1.1.8),
               xsltproc,
               intltool
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp-xsl/ubuntu

Package: yelp-xsl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSL stylesheets for the yelp help browser
 Yelp-xsl contains XSL stylesheets that are used by the yelp help browser
 to format Docbook and Mallard documents.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/yelp-xsl/([\d\.]+)/yelp-xsl-(.*)\.tar\.bz2 debian uupdate

## yelp-xsl 3.2.1

=== debian/changelog ===
yelp-xsl (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 01:17:49 +0200

yelp-xsl (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Update Vcs-* fields.
    - Add Build-Depends on itstool.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Sep 2011 16:28:04 +0200

yelp-xsl (3.0.2-2) unstable; urgency=low

  * debian/watch:
    - Don't run uupdate.
    - Fix download URL.
    - Switch to .bz2 tarballs.
    - Track stable releases.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Jul 2011 18:15:26 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: yelp-xsl
Section: gnome
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               pkg-config,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               xsltproc,
               intltool,
               itstool
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp-xsl
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl

Package: yelp-xsl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSL stylesheets for the yelp help browser
 Yelp-xsl contains XSL stylesheets that are used by the yelp help browser
 to format Docbook and Mallard documents.

## yelp-xsl 3.4.1

=== debian/changelog ===
yelp-xsl (3.4.1-1) unstable; urgency=low

  * New upstream release:
    - Translation updates.
  * debian/control.in: Bump Standards-Version to 3.9.3 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Apr 2012 22:56:37 +0200

yelp-xsl (3.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 17:47:06 +0200

yelp-xsl (3.3.92-1) experimental; urgency=low

  * New upstream development release.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 17:46:00 +0100

yelp-xsl (3.3.3-1) experimental; urgency=low

  * New upstream development release.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Mar 2012 15:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: gnome
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -19,7 +19,7 @@
                xsltproc,
                intltool,
                itstool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp-xsl
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl

## yelp-xsl 3.4.2

=== debian/changelog ===
yelp-xsl (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 20:40:33 +0200

## yelp-xsl 3.6.0

=== debian/changelog ===
yelp-xsl (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 09:56:29 +1200

yelp-xsl (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bufix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Sep 2012 09:18:19 +1200

yelp-xsl (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bufix release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2012 11:24:43 +1200

yelp-xsl (3.5.90-0ubuntu2) quantal; urgency=low

  * Cherry-pick from Debian SVN r35652 and revert part applied upstream.
  * debian/patches/fix_jquery_syntax_licensing, debian/copyright: Update to
    reflect that jQuery.Syntax is licensed as "MIT", not AGPL (Closes:
    #678981, LP: #1016751) 

 -- Iain Lane <iain.lane@canonical.com>  Thu, 30 Aug 2012 14:52:07 +0100

yelp-xsl (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Aug 2012 17:34:40 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: yelp-xsl
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,

## yelp-xsl 3.6.1

=== debian/changelog ===
yelp-xsl (3.6.1-1) experimental; urgency=low

  * Team upload

  [ Iain Lane ]
  * debian/patches/fix_jquery_syntax_licensing, debian/copyright: Update to
    reflect that jQuery.Syntax is licensed as "MIT", not AGPL (Closes:
    #678981, LP: #1016751) 

  [ Simon McVittie ]
  * New upstream release (Closes: #690954)
    - revert the part of that patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Oct 2012 22:14:09 +0100

## yelp-xsl 3.8.1

=== debian/changelog ===
yelp-xsl (3.8.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 30 May 2013 09:55:02 +0200

yelp-xsl (3.8.1-1) experimental; urgency=low

  * New upstream release.
  * Bump itstool dependency to (>= 1.2.0) as required by configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 27 May 2013 13:49:57 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: yelp-xsl
Section: gnome
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               pkg-config,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               xsltproc,
               intltool,
               itstool (>= 1.2.0)
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp-xsl
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl

Package: yelp-xsl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSL stylesheets for the yelp help browser
 Yelp-xsl contains XSL stylesheets that are used by the yelp help browser
 to format Docbook and Mallard documents.

## yelp-xsl 3.10.1

=== debian/changelog ===
yelp-xsl (3.10.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Oct 2013 00:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                xsltproc,
                intltool,
                itstool (>= 1.2.0)
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp-xsl
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/yelp-xsl
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl
 
 Package: yelp-xsl

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/yelp-xsl/([\d\.]+[02468])/yelp-xsl-(.*)\.tar\.xz

## yelp-xsl 3.12.0

=== debian/changelog ===
yelp-xsl (3.12.0-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1411094)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 21 Feb 2015 23:01:35 +0100

yelp-xsl (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 04 Apr 2014 21:19:40 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

## yelp-xsl 3.14.0

=== debian/changelog ===
yelp-xsl (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 16:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: yelp-xsl
 Section: gnome
 Priority: extra

## yelp-xsl 3.16.1

=== debian/changelog ===
yelp-xsl (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Homepage: URL.
  * Update debian/copyright, fix paths for the .js files.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 May 2015 15:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,10 @@
                xsltproc,
                intltool,
                itstool (>= 1.2.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/yelp-xsl
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl
+Homepage: https://wiki.gnome.org/Apps/Yelp
 
 Package: yelp-xsl
 Architecture: all

## yelp-xsl 3.18.1

=== debian/changelog ===
yelp-xsl (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Oct 2015 00:51:39 +0200

yelp-xsl (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2015 19:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -20,7 +20,7 @@
                itstool (>= 1.2.0)
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/yelp-xsl
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp-xsl
 Homepage: https://wiki.gnome.org/Apps/Yelp
 
 Package: yelp-xsl

## yelp-xsl 3.20.1

=== debian/changelog ===
yelp-xsl (3.20.1-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 15:39:02 -0500

yelp-xsl (3.20.1-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark as Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 10:22:50 -0500

yelp-xsl (3.20.1-2) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 03:48:56 +0200

yelp-xsl (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Apr 2016 15:52:17 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: yelp-xsl
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               pkg-config,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               xsltproc,
               intltool,
               itstool (>= 1.2.0)
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/yelp-xsl
Vcs-Git: https://salsa.debian.org/gnome-team/yelp-xsl.git
Homepage: https://wiki.gnome.org/Apps/Yelp

Package: yelp-xsl
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSL stylesheets for the yelp help browser
 Yelp-xsl contains XSL stylesheets that are used by the yelp help browser
 to format Docbook and Mallard documents.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome

## yelp-xsl 3.30.1

=== debian/changelog ===
yelp-xsl (3.30.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Sep 2018 16:06:35 -0400

yelp-xsl (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 16:31:11 -0400

yelp-xsl (3.28.0-1) unstable; urgency=medium

  * New upstream release (LP: #1758467)
    - Massive backwards incompatible updates to stylesheets
  * debian/copyright: Convert to 1.0 format
  * Drop patch: not needed with new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 28 Mar 2018 20:41:42 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: yelp-xsl
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               pkg-config,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               xsltproc,
               intltool,
               itstool (>= 1.2.0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/yelp-xsl
Vcs-Git: https://salsa.debian.org/gnome-team/yelp-xsl.git
Homepage: https://wiki.gnome.org/Apps/Yelp

Package: yelp-xsl
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSL stylesheets for the yelp help browser
 Yelp-xsl contains XSL stylesheets that are used by the yelp help browser
 to format DocBook and Mallard documents.

## yelp-xsl 3.31.90

=== debian/changelog ===
yelp-xsl (3.31.90-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Enable building docs (but they aren't installed yet)
  * Build-Depend on ducktype for docs

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 16:27:04 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               ducktype,
                pkg-config,
                libxml2-dev,
                libxml2-utils,

## yelp-xsl 3.32.1

=== debian/changelog ===
yelp-xsl (3.32.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 10:32:40 -0400

yelp-xsl (3.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 21:17:31 +0100

## yelp-xsl 3.34.0

=== debian/changelog ===
yelp-xsl (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 11:10:04 +0200

yelp-xsl (3.33.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on gettext and not inltool, updates Standards-Version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 15:18:07 +0200

## yelp-xsl 3.34.2

=== debian/changelog ===
yelp-xsl (3.34.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Jan 2020 10:03:29 +0100

## yelp-xsl 3.36.0

=== debian/changelog ===
yelp-xsl (3.36.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: arbitrary script execution
    - debian/patches/CVE-2025-3155.patch: use a nonce in
      xslt/common/html.xsl.
    - CVE-2025-3155

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Apr 2025 11:26:57 -0400

yelp-xsl (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 11:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 Source: yelp-xsl
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                ducktype,
+               gettext,
                pkg-config,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                xsltproc,
-               intltool,
                itstool (>= 1.2.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/yelp-xsl
 Vcs-Git: https://salsa.debian.org/gnome-team/yelp-xsl.git
 Homepage: https://wiki.gnome.org/Apps/Yelp

## yelp-xsl 3.38.1

=== debian/changelog ===
yelp-xsl (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 10:48:41 +0200

yelp-xsl (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:48:27 +0200

yelp-xsl (3.37.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 23:10:56 +0200

## yelp-xsl 3.38.3

=== debian/changelog ===
yelp-xsl (3.38.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Feb 2021 11:40:53 +0100

yelp-xsl (3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 17:20:37 +0100

## yelp-xsl 40.0

=== debian/changelog ===
yelp-xsl (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:06:18 +0100

yelp-xsl (40~rc-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Mar 2021 11:16:20 +0100

yelp-xsl (40~beta-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 16:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: yelp-xsl
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                ducktype,

## yelp-xsl 40.2

=== debian/changelog ===
yelp-xsl (40.2-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 20:43:59 -0400

yelp-xsl (40.2-1) experimental; urgency=medium

  * New upstream release
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 12:29:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                ducktype,
                gettext,

## yelp-xsl 41.0

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                ducktype,

## yelp-xsl 42.0

=== debian/changelog ===
yelp-xsl (42.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: arbitrary script execution
    - debian/patches/CVE-2025-3155.patch: use a nonce in
      xslt/common/html.xsl.
    - CVE-2025-3155

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Apr 2025 11:13:15 -0400

yelp-xsl (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:38:02 -0400

yelp-xsl (42~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 09:40:33 -0500

yelp-xsl (41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Drop unnecessary Build-Depends on gettext

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 03 Dec 2021 20:56:57 -0500

yelp-xsl (41.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 17:59:31 -0400

yelp-xsl (41~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:27:22 -0400

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Source: yelp-xsl
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                ducktype,
-               gettext,
                pkg-config,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                xsltproc,
                itstool (>= 1.2.0)
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/yelp-xsl
 Vcs-Git: https://salsa.debian.org/gnome-team/yelp-xsl.git
 Homepage: https://wiki.gnome.org/Apps/Yelp

## yelp-xsl 42.1

=== debian/changelog ===
yelp-xsl (42.1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: arbitrary script execution
    - debian/patches/CVE-2025-3155.patch: use a nonce in
      xslt/common/html.xsl.
    - CVE-2025-3155

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Apr 2025 11:00:31 -0400

yelp-xsl (42.1-2) unstable; urgency=medium

  * debian/docs: README -> README.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 18:16:45 -0400

yelp-xsl (42.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:51:51 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                ducktype,
@@ -18,6 +18,7 @@
                xsltproc,
                itstool (>= 1.2.0)
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/yelp-xsl
 Vcs-Git: https://salsa.debian.org/gnome-team/yelp-xsl.git
 Homepage: https://wiki.gnome.org/Apps/Yelp

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Note that the build doesn't automatically install the docs
override_dh_auto_configure:
	dh_auto_configure -- --enable-doc

## yelp-xsl 42.4

=== debian/changelog ===
yelp-xsl (42.4-1) experimental; urgency=medium

  * Team upload
  * d/copyright: Stop excluding m4/, no longer included upstream
  * New upstream release
  * d/p/CVE-2025-3155.patch: Drop, applied upstream
  * d/control: Build-depend on Meson
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Update Homepage
  * d/control: Wrap and sort (Build-)Depends (wrap-and-sort -abst)
  * d/control: Opt-in to dpkg build API v1.
    This makes Rules-Requires-Root unnecessary.
  * d/copyright: Add more licenses and copyright holders
  * d/copyright: Add copyright/licensing information for documentation.
    Before the move from Autotools to Meson, this was in the upstream git
    repo but not included in release tarballs.
  * d/rules: Replace build options with their Meson equivalent
  * d/rules: Don't build documentation.
    The documentation build seems to have been broken since the move to
    Meson (see yelp-xsl#35 upstream) and we didn't install it anyway.
  * Upload to experimental for now, since trixie is frozen but not yet
    released and this update is intended for inclusion in forky

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Jul 2025 14:33:21 +0100

yelp-xsl (42.1-4) unstable; urgency=high

  [ Marc Deslauriers ]
  * SECURITY UPDATE: arbitrary script execution
    - debian/patches/CVE-2025-3155.patch: use a nonce in
      xslt/common/html.xsl.
    - CVE-2025-3155 (Closes: #1102080)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 23 Apr 2025 12:23:15 -0400

yelp-xsl (42.1-3) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Stop using debian/control.in and dh_gnome_clean
  * Update standards version to 4.7.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 14:02:28 -0500

## yelp-xsl 49~beta

=== debian/changelog ===
yelp-xsl (49~beta-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:36:30 -0400

## yelp-xsl 49.0

=== debian/changelog ===
yelp-xsl (49.0-2) unstable; urgency=medium

  * Remove unnecessary Priority: optional field
  * Remove obsolete dh_gnome_clean override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 14:16:25 -0500

yelp-xsl (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 15:48:00 -0400

=== debian/control ===
Source: yelp-xsl
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Jeremy Bícha <jbicha@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gnome,
 dpkg-build-api (= 1),
 ducktype,
 itstool (>= 1.2.0),
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 meson (>= 1.3),
 pkgconf,
 xsltproc,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/yelp-xsl
Vcs-Git: https://salsa.debian.org/gnome-team/yelp-xsl.git
Homepage: https://gitlab.gnome.org/GNOME/yelp-xsl

Package: yelp-xsl
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSL stylesheets for the yelp help browser
 Yelp-xsl contains XSL stylesheets that are used by the yelp help browser
 to format DocBook and Mallard documents.
